Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Module categorytree :: Class HitInfo |
[frames] | no frames]

# Class HitInfo

source code

    object --+
             |
            HitInfo

Instance Methods
__init__(self, categories, category, is_on_arrow, is_on_checkbox) x.__init__(...) initializes x; see help(type(x)) for signature | source code
has_category(self) | source code
get_category(self) | source code
get_immediate_children(self) | source code
get_all_children(self) | source code
get_parents(self) | source code
get_parents_for_checked_childs(self) | source code
is_on_arrow(self) | source code
is_on_checkbox(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, categories, category, is_on_arrow, is_on_checkbox) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)